commit:     c48ae7a5696fe3ddabd170e3e6e12f1ea26dc7bb
Author:     Sebastian Parborg <darkdefende <AT> gmail <DOT> com>
AuthorDate: Wed Jun 14 10:06:12 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jun 14 23:58:47 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c48ae7a5

media-tv/mythtv: Bump to 33.1 and fix compilation with libva

Closes: https://bugs.gentoo.org/904437
Signed-off-by: Sebastian Parborg <darkdefende <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/31432
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-tv/mythtv/Manifest                      |   1 +
 media-tv/mythtv/files/mythtv-33.1-libva.patch | 105 +++++++
 media-tv/mythtv/mythtv-33.1.ebuild            | 421 ++++++++++++++++++++++++++
 3 files changed, 527 insertions(+)

diff --git a/media-tv/mythtv/Manifest b/media-tv/mythtv/Manifest
index 7888baa74d98..ef07a7599acf 100644
--- a/media-tv/mythtv/Manifest
+++ b/media-tv/mythtv/Manifest
@@ -1 +1,2 @@
 DIST mythtv-32.0.tar.gz 115960698 BLAKE2B 
3be4106fa2c4fcb95fd5414b347fd6256658566bbb9775ed32cb9686e4a61ecf89e7c684db8d3408292c3737ae6090771862aa65ac0d5d467e90c3a110484898
 SHA512 
6a1472c954b929319a570d76769ababad43d086d53b6679c9d6da91446677f04b71918b326bb4ff0fc16fbaf7d9a447a86f623a6f1399f9ed29ca86a9782396c
+DIST mythtv-33.1.tar.gz 116920982 BLAKE2B 
bc784a12ee0acf3066d46896343ed15a2f7097364595d20e832da3197eb37c8d05342f82171b66ec842ec48b5829b7ace8c6043835b8de4a04afd8a4df72df1d
 SHA512 
4dc2943915e5e3ca047edc0a005a9e0b58edf7bc51c7fb097a6715bbbb52028260065a7f52f35e4ed98559cc4f4ccca76f1cf6ae68e76b1f2d06a1befd4776e9

diff --git a/media-tv/mythtv/files/mythtv-33.1-libva.patch 
b/media-tv/mythtv/files/mythtv-33.1-libva.patch
new file mode 100644
index 000000000000..8c59f31002a9
--- /dev/null
+++ b/media-tv/mythtv/files/mythtv-33.1-libva.patch
@@ -0,0 +1,105 @@
+diff --git a/mythtv/libs/libmythtv/libmythtv.pro 
b/mythtv/libs/libmythtv/libmythtv.pro
+index 0ab94a295c..08b4c4d335 100644
+--- a/libs/libmythtv/libmythtv.pro
++++ b/libs/libmythtv/libmythtv.pro
+@@ -538,7 +538,7 @@ using_frontend {
+         DEFINES += USING_VAAPI
+         HEADERS += decoders/mythvaapicontext.h
+         SOURCES += decoders/mythvaapicontext.cpp
+-        LIBS    += -lva -lva-x11 -lva-glx -lva-drm
++        LIBS    += -lva -lva-drm
+     }
+ 
+     using_nvdec {
+@@ -605,10 +605,9 @@ using_frontend {
+         SOURCES += opengl/mythopengltonemap.cpp
+         SOURCES += visualisations/videovisualcircles.cpp
+ 
+-
+         using_vaapi {
+-            HEADERS += opengl/mythvaapiinterop.h   
opengl/mythvaapiglxinterop.h
+-            SOURCES += opengl/mythvaapiinterop.cpp 
opengl/mythvaapiglxinterop.cpp
++            HEADERS += opengl/mythvaapiinterop.h
++            SOURCES += opengl/mythvaapiinterop.cpp
+         }
+ 
+         using_vdpau:using_x11 {
+@@ -649,6 +648,12 @@ using_frontend {
+                 HEADERS += opengl/mythvaapidrminterop.h
+                 SOURCES += opengl/mythvaapidrminterop.cpp
+             }
++        } else {
++            using_vaapi {
++                HEADERS += opengl/mythvaapiglxinterop.h
++                SOURCES += opengl/mythvaapiglxinterop.cpp
++                LIBS    += -lva-x11 -lva-glx
++            }
+         }
+ 
+         !win32-msvc* {
+diff --git a/mythtv/libs/libmythtv/opengl/mythvaapiinterop.cpp 
b/mythtv/libs/libmythtv/opengl/mythvaapiinterop.cpp
+index 5f92a6beb0..b87ed0da35 100644
+--- a/libs/libmythtv/opengl/mythvaapiinterop.cpp
++++ b/libs/libmythtv/opengl/mythvaapiinterop.cpp
+@@ -8,8 +8,12 @@
+ #include "mythvideocolourspace.h"
+ #include "fourcc.h"
+ #include "mythvaapiinterop.h"
++
++#ifdef USING_EGL
+ #include "mythvaapidrminterop.h"
++#else
+ #include "mythvaapiglxinterop.h"
++#endif
+ 
+ extern "C" {
+ #include "libavfilter/buffersrc.h"
+@@ -57,14 +61,14 @@ void MythVAAPIInterop::GetVAAPITypes(MythRenderOpenGL* 
Context, MythInteropGPU::
+     // zero copy
+     if (egl && MythVAAPIInteropDRM::IsSupported(Context))
+         vaapitypes.emplace_back(GL_VAAPIEGLDRM);
+-#endif
++#else
+     // 1x copy
+     if (!egl && !wayland && MythVAAPIInteropGLXPixmap::IsSupported(Context))
+         vaapitypes.emplace_back(GL_VAAPIGLXPIX);
+     // 2x copy
+     if (!egl && !opengles && !wayland)
+         vaapitypes.emplace_back(GL_VAAPIGLXCOPY);
+-
++#endif
+     if (!vaapitypes.empty())
+         Types[FMT_VAAPI] = vaapitypes;
+ }
+@@ -82,11 +86,12 @@ MythVAAPIInterop* 
MythVAAPIInterop::CreateVAAPI(MythPlayerUI *Player, MythRender
+ #ifdef USING_EGL
+             if ((type == GL_VAAPIEGLDRM) || (type == DRM_DRMPRIME))
+                 return new MythVAAPIInteropDRM(Player, Context, type);
+-#endif
++#else
+             if (type == GL_VAAPIGLXPIX)
+                 return new MythVAAPIInteropGLXPixmap(Player, Context);
+             if (type == GL_VAAPIGLXCOPY)
+                 return new MythVAAPIInteropGLXCopy(Player, Context);
++#endif
+         }
+     }
+     return nullptr;
+diff --git a/mythtv/libs/libmythtv/opengl/mythvaapiinterop.h 
b/mythtv/libs/libmythtv/opengl/mythvaapiinterop.h
+index 11358db236..2048d4586c 100644
+--- a/libs/libmythtv/opengl/mythvaapiinterop.h
++++ b/libs/libmythtv/opengl/mythvaapiinterop.h
+@@ -25,9 +25,12 @@ struct AVFilterContext;
+ #undef None            // X11/X.h defines this. Causes compile failure in Qt6.
+ #undef Cursor
+ #undef pointer
+-#include "va/va_glx.h"
++#ifdef USING_EGL
+ #include "va/va_drm.h"
+ #include "va/va_drmcommon.h"
++#else
++#include "va/va_glx.h"
++#endif
+ #undef Bool            // Interferes with cmake moc file compilation
+ 
+ #ifndef VA_FOURCC_I420

diff --git a/media-tv/mythtv/mythtv-33.1.ebuild 
b/media-tv/mythtv/mythtv-33.1.ebuild
new file mode 100644
index 000000000000..e847f0e1e1a0
--- /dev/null
+++ b/media-tv/mythtv/mythtv-33.1.ebuild
@@ -0,0 +1,421 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit flag-o-matic java-pkg-opt-2 java-ant-2 python-any-r1 qmake-utils 
readme.gentoo-r1 systemd user-info
+
+DESCRIPTION="Open Source DVR and media center hub"
+HOMEPAGE="https://www.mythtv.org https://github.com/MythTV/mythtv";
+if [[ $(ver_cut 3) == "p" ]] ; then
+       MY_COMMIT="5824c588db24b4e71a7d94e829e6419f71089297"
+       SRC_URI="https://github.com/MythTV/mythtv/archive/${MY_COMMIT}.tar.gz 
-> ${P}.tar.gz"
+       # mythtv and mythplugins are separate builds in the github MythTV 
project
+       S="${WORKDIR}/mythtv-${MY_COMMIT}/mythtv"
+else
+       SRC_URI="https://github.com/MythTV/mythtv/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       # mythtv and mythplugins are separate builds in the github mythtv 
project
+       S="${WORKDIR}/${P}/mythtv"
+fi
+KEYWORDS="~amd64 ~x86"
+LICENSE="GPL-2+"
+SLOT="0"
+
+IUSE_INPUT_DEVICES="input_devices_joystick"
+IUSE_VIDEO_CAPTURE_DEVICES="v4l ieee1394 hdhomerun vbox ceton"
+IUSE="alsa asi autostart cdda cdr cec cpu_flags_ppc_altivec debug dvd dvb exif 
fftw jack java
+       +lame lcd libass lirc nvdec +opengl oss perl pulseaudio python raw 
systemd vaapi vdpau vpx
+       +wrapper x264 x265 +xml xmltv +xvid +X zeroconf
+       ${IUSE_INPUT_DEVICES} ${IUSE_VIDEO_CAPTURE_DEVICES}"
+
+REQUIRED_USE="
+       cdr? ( cdda )
+"
+RDEPEND="
+       acct-user/mythtv
+       dev-libs/glib:2
+       dev-libs/lzo
+       dev-libs/libzip:=
+       dev-qt/qtcore:5
+       dev-qt/qtdbus:5
+       dev-qt/qtgui:5[jpeg]
+       dev-qt/qtnetwork:5
+       dev-qt/qtscript:5
+       dev-qt/qtsql:5[mysql]
+       dev-qt/qtwidgets:5
+       dev-qt/qtxml:5
+       media-fonts/corefonts
+       media-fonts/dejavu
+       media-fonts/liberation-fonts
+       media-fonts/tex-gyre
+       media-gfx/exiv2:=
+       media-libs/freetype:2
+       media-libs/libbluray:=[java?]
+       media-libs/libsamplerate
+       media-libs/libsoundtouch
+       media-libs/taglib
+       sys-libs/zlib
+       alsa? ( media-libs/alsa-lib )
+       autostart? (
+               net-dialup/mingetty
+               x11-apps/xset
+               x11-wm/evilwm
+       )
+       cec? ( dev-libs/libcec )
+       dvd? (
+               dev-libs/libcdio:=
+               media-libs/libdvdcss
+               sys-fs/udisks:2
+       )
+       fftw? ( sci-libs/fftw:3.0=[threads] )
+       hdhomerun? ( media-libs/libhdhomerun )
+       ieee1394? (
+               media-libs/libiec61883
+               sys-libs/libavc1394
+               sys-libs/libraw1394
+       )
+       jack? ( virtual/jack )
+       lame? ( media-sound/lame )
+       lcd? ( app-misc/lcdproc )
+       libass? ( media-libs/libass:= )
+       lirc? ( app-misc/lirc )
+       nvdec? ( x11-drivers/nvidia-drivers )
+       opengl? ( dev-qt/qtopengl:5 )
+       pulseaudio? ( media-sound/pulseaudio )
+       systemd? ( sys-apps/systemd:= )
+       vaapi? ( media-libs/libva:= )
+       vdpau? ( x11-libs/libvdpau )
+       vpx? ( media-libs/libvpx:= )
+       x264? ( media-libs/x264:= )
+       X? (
+               x11-apps/xinit
+               x11-libs/libX11:=
+               x11-libs/libXext:=
+               x11-libs/libXinerama:=
+               x11-libs/libXrandr:=
+               x11-libs/libXv:=
+               x11-libs/libXxf86vm:=
+               x11-misc/wmctrl:=
+       )
+       x265? ( media-libs/x265 )
+       xml? ( dev-libs/libxml2:2 )
+       xmltv? (
+               dev-perl/XML-LibXML
+               media-tv/xmltv
+        )
+       xvid? ( media-libs/xvid )
+       zeroconf? (
+               dev-libs/openssl:=
+               net-dns/avahi[mdnsresponder-compat]
+       )
+"
+BDEPEND="
+       virtual/pkgconfig
+       opengl? ( virtual/opengl )
+       python? ( ${PYTHON_DEPS} )
+"
+DEPEND="
+       ${RDEPEND}
+       dev-lang/yasm
+       x11-base/xorg-proto
+       perl? (
+               dev-perl/DBD-mysql
+               dev-perl/DBI
+               dev-perl/HTTP-Message
+               dev-perl/IO-Socket-INET6
+               dev-perl/LWP-Protocol-https
+               dev-perl/Net-UPnP
+               dev-perl/XML-Simple
+       )
+       python? (
+               $(python_gen_any_dep '
+                       dev-python/python-dateutil[${PYTHON_USEDEP}]
+                       dev-python/future[${PYTHON_USEDEP}]
+                       dev-python/lxml[${PYTHON_USEDEP}]
+                       dev-python/mysqlclient[${PYTHON_USEDEP}]
+                       dev-python/requests-cache[${PYTHON_USEDEP}]
+                       dev-python/simplejson[${PYTHON_USEDEP}]
+               ')
+       )
+"
+python_check_deps() {
+       use python || return 0
+       has_version "dev-python/python-dateutil[${PYTHON_USEDEP}]" &&
+       has_version "dev-python/future[${PYTHON_USEDEP}]" &&
+       has_version "dev-python/lxml[${PYTHON_USEDEP}]" &&
+       has_version "dev-python/mysqlclient[${PYTHON_USEDEP}]" &&
+       has_version "dev-python/requests-cache[${PYTHON_USEDEP}]" &&
+       has_version "dev-python/simplejson[${PYTHON_USEDEP}]"
+}
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-33.1-libva.patch
+)
+
+DISABLE_AUTOFORMATTING="yes"
+DOC_CONTENTS="
+Support for metadata lookup changes is added. User configuration required.
+Details at: https://www.mythtv.org/wiki/Metadata_Lookup_Changes_March_2021
+
+Support for Python 2.7 is removed.
+
+If a MYSQL server is installed, a mythtv MySQL user and mythconverg database
+is created if it does not already exist.
+You will be prompted for your MySQL root password.
+
+A mythtv user is maintained by acct-user/mythtv. An existing mythtv user
+may be modified to the configuration defined by acct-user/mythtv.
+The mythtv user's primary group is now mythtv. (formerly video)
+An existing mythtv user may be changed which may alter some functionality.
+If it breaks mythtv you may need to (choose one):
+       * Restore the original mythtv user
+       * Create custom acct-user/mythtv overlay for your system
+       * Fix you system to use mythtv as daemon only (recommended)
+Failure to emerge acct-user/mythtv indicates that the existing mythtv user
+is customized and not changed. Corrective action (choose one):
+       * Ignore emerge failure
+       * Create custom acct-user/mythtv overlay for your system
+       * Fix you system to use mythtv as daemon only
+       * Delete existing user and try again (dangerous)
+
+Mythtv is updated to use correct FHS/Gentoo policy paths.
+Updating mythtv installations may report:
+       * mythtv is in use, cannot update home
+       * There was an error when attempting to update the home directory for 
mythtv
+       * Please update it manually on your system (as root):
+       *       usermod -d "/var/lib/mythtv" "mythtv"
+This can be ignored. The previous default was "/home/mythtv".
+Use caution if you change the home directory.
+
+To have this machine operate as recording host for MythTV,
+mythbackend must be running. Run the following:
+rc-update add mythbackend default
+
+Your recordings folder must be owned 'mythtv'. e.g.
+chown -R mythtv /var/lib/mythtv
+
+Want mythfrontend to start automatically?
+Set USE=autostart. Details can be found at:
+https://dev.gentoo.org/~cardoe/mythtv/autostart.html
+"
+
+pkg_setup() {
+       use python && python-any-r1_pkg_setup
+       # The acct-user/mythtv package creates/manages the user 'mythtv'
+}
+
+src_prepare() {
+       default
+
+       # Perl bits need to go into vender_perl and not site_perl
+       sed -e "s:pure_install:pure_install INSTALLDIRS=vendor:" \
+               -i "${S}"/bindings/perl/Makefile || die "Cannot convert 
site_perl to vendor_perl!"
+
+}
+
+src_configure() {
+       local -a myconf
+
+       # Setup paths
+       myconf+=(--prefix="${EPREFIX}"/usr)
+       myconf+=(--libdir="${EPREFIX}"/usr/$(get_libdir))
+       myconf+=(--libdir-name=$(get_libdir))
+       myconf+=(--mandir="${EPREFIX}"/usr/share/man)
+
+       if use debug; then
+               myconf+=(--compile-type=debug)
+               myconf+=(--disable-stripping) # FIXME: does not disable for all 
files, only for some
+               myconf+=(--enable-valgrind) # disables timeouts for valgrind 
memory debugging
+       else
+               myconf+=(--compile-type=release)
+       fi
+
+       # Build boosters
+       has ccache "${FEATURES}" || myconf+=(--disable-ccache)
+       has distcc "${FEATURES}" || myconf+=(--disable-distcc)
+
+       # CPU settings
+       # Mythtv's configure is borrowed from ffmpeg,
+       # Bug #172723
+       # Try to get cpu type based on CFLAGS.
+       # We need to do this so that features of that CPU will be better used
+       # If they contain an unknown CPU it will not hurt since ffmpeg's 
configure
+       # will just ignore it.
+       local i
+       for i in $(get-flag march) $(get-flag mcpu) $(get-flag mtune) ; do
+               [[ "${i}" == "native" ]] && i="host" # bug #273421
+               myconf+=(--cpu="${i}")
+               break
+       done
+       myconf+=($(use_enable cpu_flags_ppc_altivec altivec))
+
+       # Sound Output Support
+       myconf+=(
+               $(use_enable oss audio-oss)
+
+               $(use_enable alsa audio-alsa)
+               $(use_enable jack audio-jack)
+               $(use_enable pulseaudio audio-pulseoutput)
+       )
+
+       # Input Support
+       myconf+=(
+               $(use_enable lirc)
+               $(use_enable input_devices_joystick joystick-menu)
+               $(use_enable cec libcec)
+               $(use_enable ieee1394 firewire)
+               $(use_enable hdhomerun)
+               $(use_enable vbox)
+               $(use_enable ceton)
+               $(use_enable v4l v4l2)
+               $(use_enable dvb)
+               $(use_enable asi)
+       )
+
+       # Video Output Support
+       myconf+=(
+               $(use_enable X x11)
+       )
+
+       # Hardware accelerators
+       myconf+=(
+               $(use_enable nvdec)
+               $(use_enable vaapi)
+               $(use_enable vdpau)
+               $(use_enable opengl)
+               $(use_enable opengl egl)
+               $(use_enable libass)
+       )
+
+       # System tools
+       myconf+=(
+               $(use_enable systemd systemd_notify)
+               $(use_enable systemd systemd_journal)
+               $(use_enable xml libxml2)
+               $(use_enable zeroconf libdns-sd)
+       )
+
+       # Bindings
+       if use perl && use python; then
+               myconf+=(--with-bindings=perl,python)
+       elif use perl; then
+               myconf+=(--without-bindings=python)
+               myconf+=(--with-bindings=perl)
+       elif use python; then
+               myconf+=(--without-bindings=perl)
+               myconf+=(--with-bindings=python)
+       else
+               myconf+=(--without-bindings=perl,python)
+       fi
+       use python && myconf+=(--python="${EPYTHON}")
+       myconf+=($(use_enable java bdjava))
+
+       # External codec library options (used for mythffmpeg and streaming 
transcode)
+       # lame is required for some broadcasts for silence detection of 
commercials
+       # default enable in IUSE with +lame
+       myconf+=(
+               $(use_enable lame libmp3lame)
+               $(use_enable xvid libxvid)
+               $(use_enable x264 libx264)
+               $(use_enable x265 libx265)
+               $(use_enable vpx libvpx)
+       )
+
+       # Clean up DSO load times and other compiler bits
+       myconf+=(--enable-symbol-visibility)
+       myconf+=(--enable-pic)
+
+       if tc-is-cross-compiler ; then
+               myconf+=(--enable-cross-compile --arch=$(tc-arch-kernel))
+               myconf+=(--cross-prefix="${CHOST}"-)
+       fi
+
+       # econf sets these options that are not handled by configure:
+       # --build --host --infodir --localstatedir --sysconfdir
+
+       einfo "Running ./configure ${myconf[@]} - THIS MAY TAKE A WHILE."
+       ./configure \
+               --prefix="${EPREFIX}/usr" \
+               --cc="$(tc-getCC)" \
+               --cxx="$(tc-getCXX)" \
+               --ar="$(tc-getAR)" \
+               --optflags="${CFLAGS}" \
+               --extra-cflags="${CFLAGS}" \
+               --extra-cxxflags="${CXXFLAGS}" \
+               --extra-ldflags="${LDFLAGS}" \
+               --qmake=$(qt5_get_bindir)/qmake \
+               "${myconf[@]}" || die "Fail doing ./configure ${myconf[@]}"
+}
+
+src_install() {
+       emake STRIP="true" INSTALL_ROOT="${D}" install
+       use python && python_optimize  # does all packages by default
+       dodoc AUTHORS README
+       readme.gentoo_create_doc
+
+       insinto /usr/share/mythtv/database
+       doins database/*
+
+       newinitd "${FILESDIR}"/mythbackend.init-r3 mythbackend
+       newconfd "${FILESDIR}"/mythbackend.conf-r1 mythbackend
+       if use systemd; then
+               systemd_newunit "${FILESDIR}"/mythbackend.service-28 
mythbackend.service
+       fi
+
+       keepdir /etc/mythtv
+       fowners -R mythtv /etc/mythtv
+       keepdir /var/log/mythtv
+       fowners -R mythtv /var/log/mythtv
+
+       insinto /etc/logrotate.d
+       newins "${FILESDIR}"/mythtv.logrotate.d-r4 mythtv
+
+       insinto /usr/share/mythtv/contrib
+       # Ensure we don't install scripts needing the perl bindings (bug 
#516968) Finding none is OK.
+       if ! use perl; then
+               find contrib/ -name '*.pl' -exec rm {} \;
+       fi
+       # Ensure we don't install scripts needing the python bindings (bug 
#516968) Finding none is OK.
+       if ! use python; then
+               find contrib/ -name '*.py' -exec rm {} \;
+       fi
+       doins -r contrib/*
+
+       # Install our mythfrontend wrapper which is similar to Mythbuntu's
+       if use wrapper; then
+               mv "${ED}/usr/bin/mythfrontend" 
"${ED}/usr/bin/mythfrontend.real" || die "Failed to install mythfrontend.real"
+               newbin "${FILESDIR}"/mythfrontend.wrapper mythfrontend
+               newconfd "${FILESDIR}"/mythfrontend.conf mythfrontend
+       fi
+
+       if use autostart; then
+               newenvd - 95mythtv <<- _EOF_
+                       CONFIG_PROTECT=\"$(egethome mythtv)\"
+               _EOF_
+               insinto $(egethome mythtv)
+               newins "${FILESDIR}"/bash_profile .bash_profile
+               newins "${FILESDIR}"/xinitrc-r1 .xinitrc
+       fi
+
+       # Make Python files executable but not files named "__init__.py"
+       find "${ED}/usr/share/mythtv" -type f -name '*.py' -exec expr \( {} : 
'.*__init__.py' \) = 0 \; \
+               -exec chmod a+x {} \; || die "Failed to make python file 
$(basename ${file}) executable"
+
+       # Ensure that Python scripts are executed by Python 2
+       use python && python_fix_shebang "${ED}/usr/share/mythtv"
+
+       # Make shell & perl scripts executable
+       find "${ED}" -type f \( -name '*.sh' -o -name '*.pl' \) -exec chmod a+x 
{} \; || die "Failed to make script executable"
+}
+
+pkg_postinst() {
+       readme.gentoo_print_elog
+}
+
+pkg_config() {
+       if [[ -e "${EROOT}"/usr/bin/mysql ]]; then
+               "${EROOT}"/usr/bin/mysql -u root -p < 
"${EROOT}"/usr/share/mythtv/database/mc.sql
+       fi
+}

Reply via email to